Skip to main content

Time-Out Void


Use this information to void an authorization, capture, refund, or credit when you do not receive a response within the time allowed and the transaction times out. Include a unique value in the clientReferenceInformation.transactionId field in your initial request and use the same unique value for the clientReferenceInformation.transactionId field in a request to reverse the transaction.

Endpoints

POST /pts/v2/voids/

POST /pts/v2/voids/

Example

{  "clientReferenceInformation": {    "comments": "VOID Timeout",    "transactionId": "888858556"  }}
{  "_links": {    "self": {      "method": "GET",      "href": "/pts/v2/voids/6502849034136438604002"    }  },  "clientReferenceInformation": {    "code": "1650284903396",    "transactionId": "888858556"  },  "id": "6502849034136438604002",  "orderInformation": {    "amountDetails": {      "currency": "EUR"    }  },  "status": "VOIDED",  "submitTimeUtc": "2022-04-18T12:28:23Z",  "voidAmountDetails": {    "currency": "EUR",    "voidAmount": "10.00"  }}
{  "id": "6502858209346457804004",  "submitTimeUtc": "2022-04-18T12:43:41Z",  "status": "INVALID_REQUEST",  "reason": "INVALID_DATA",  "message": "Declined - One or more fields in the request contains invalid data"}
FieldTypeDescription
clientReferenceInformation.commentsFor this value, see Transaction Types.
clientReferenceInformation.transactionIdSet this field to the unique clientReferenceInformation.transactionId value from the transaction that timed out.

Last published: September 29, 2026